from django.contrib import admin
from mysite.books.models import *

class PublisherAdmin(admin.ModelAdmin):
    list_display = ('name', 'address', 'city', 'website')
    list_filter = ('city',)
    ordering = ('name',)
    search_fields = ('name', 'address', 'city')
    list_per_page = 20

class AuthorAdmin(admin.ModelAdmin):
    list_display = ('first_name', 'last_name', 'email')
    ordering = ('first_name',)
    search_fields = ('first_name', 'last_name')
    list_per_page = 20

class BookAdmin(admin.ModelAdmin):
    list_display = ('title', 'publisher', 'publication_date', 'pages', 'in_stock')
    list_filter = ('publisher', 'in_stock')
    date_hierarchy = 'publication_date'
    ordering = ('title',)
    search_fields = ('title', 'authors', 'publisher')
    filter_horizontal = ('authors',)
    list_per_page = 20

admin.site.register(Publisher, PublisherAdmin)
admin.site.register(Author, AuthorAdmin)
admin.site.register(Book, BookAdmin)
