from django.http import HttpResponse, HttpResponseRedirect
from django.template import Context, RequestContext, loader
from django.shortcuts import render
from mysite.books.models import *

def index(request):
    return HttpResponseRedirect('/books/')

def books_all(request):
    
    # Metodo "DIDATTICO"

    books = Book.objects.all().order_by('title')    
    
    t = loader.get_template("books.html")
    c = RequestContext(request, {
        'books' : books,
    })
    return HttpResponse(t.render(c))

    # Metodo "VELOCE"

    return render(request, "books.html", {
        'books' : Book.objects.all().order_by('title'),})

def books_year(request,year):
    
    return render(request, "books.html", {
        'books' : Book.objects.filter(publication_date__year=int(year)).order_by('title'),})

